#mage tower spectre
from eventAPI import getTag, setTag, giveItems
from APIUtils import showMessage, showPicture

mSpec8 = 0

def fireEvent(e):
    spec = getTag(e, "mSpec8")

    if(spec == 0):
        showPicture(e, "Spectre")
        showMessage(e,
            ["A spectre appears, saying:",
             "\"You have made it. But know this: it is not within your power to release or wield the might of Thor.\""])
        giveItems(e, ["Thor Figurine"])
        #set alnurti plot flag
        setTag(e, "AlnurtiPlt1", 3)
        setTag(e, "mSpec8", 1)
    return 1
